Bug 714580 (CVE-2011-2371)

Summary: CVE-2011-2371 Mozilla Integer overflow and arbitrary code execution (MFSA 2011-22)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: ddumas, gecko-bugs-nobody, jlieskov, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20110621,reported=20110618,source=mozilla,impact=critical,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-4.9/firefox=affected,rhel-5.7/firefox=affected,rhel-6.2/firefox=affected,rhel-4.9/thunderbird=affected,rhel-5.7/thunderbird=affected,rhel-6.2/thunderbird=affected,rhel-4.9/seamonkey=affected,cwe=CWE-190[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-12 12:23:34 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Huzaifa S. Sidhpurwala 2011-06-20 02:59:38 EDT
Security researchers Chris Rohlf and Yan Ivnitskiy of Matasano Security
reported that when a JavaScript Array object had its length set to an
extremely large value, the iteration of array elements that occurs when
its reduceRight method was subsequently called could result in the
execution of attacker controlled memory due to an invalid index value
being used to access element properties.
Comment 1 Jan Lieskovsky 2011-06-21 08:41:37 EDT
Public now via:
[1] http://www.mozilla.org/security/announce/2011/mfsa2011-22.html
Comment 2 errata-xmlrpc 2011-06-21 18:28:48 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0887 https://rhn.redhat.com/errata/RHSA-2011-0887.html
Comment 3 errata-xmlrpc 2011-06-21 18:50:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0888 https://rhn.redhat.com/errata/RHSA-2011-0888.html
Comment 4 errata-xmlrpc 2011-06-21 18:50:47 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 4

Via RHSA-2011:0885 https://rhn.redhat.com/errata/RHSA-2011-0885.html